Debian Bug report logs - #622649
linux-image-2.6.38-2-amd64: unable to enumerate USB device on port 6

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: "Hans-J. Ullrich" <hans.ullrich@loop.de>

Date: Wed, 13 Apr 2011 16:42:04 UTC

Severity: important

Tags: fixed-upstream, upstream

Merged with 620848, 635573

Found in versions 2.6.32-31, 2.6.38-3, linux-2.6/2.6.39-2, linux-2.6/2.6.39~rc7-1~experimental.1, linux-2.6/3.0.0~rc6-1~experimental.1

Fixed in versions 3.0.0-2, linux-2.6/2.6.32-36, user-mode-linux/2.6.32-1um-4+37

Done: dann frazier <dannf@debian.org>

Bug is archived. No further changes may be made.

Forwarded to https://bugzilla.kernel.org/show_bug.cgi?id=22052

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#622649; Package linux-2.6. (Wed, 13 Apr 2011 16:42:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Hans-J. Ullrich" <hans.ullrich@loop.de>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 13 Apr 2011 16:42:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Hans-J. Ullrich" <hans.ullrich@loop.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linux-image-2.6.38-2-amd64: unable to enumerate USB device on port 6
Date: Wed, 13 Apr 2011 18:32:00 +0200
Package: linux-2.6
Severity: important
Tags: squeeze sid



-- Package-specific info:
** Version:
Linux version 2.6.38-2-amd64 (Debian 2.6.38-3) (ben@decadent.org.uk) (gcc version 4.4.5 (Debian 4.4.5-15) ) #1 SMP Thu Apr 7 04:28:07 UTC 2011

** Command line:
root=UUID=f2f57267-0289-412c-9f9b-e8702e8b7010 ro vga=791

** Tainted: PO (4097)
 * Proprietary module has been loaded.
 * Out-of-tree module has been loaded.

** Kernel log:
[  230.578300] hub 4-0:1.0: USB hub found
[  230.578308] hub 4-0:1.0: 6 ports detected
[  230.612090] usb 1-3: new high speed USB device using ehci_hcd and address 3
[  231.038773] usb 1-3: New USB device found, idVendor=5986, idProduct=0102
[  231.038788] usb 1-3: New USB device strings: Mfr=0, Product=1, SerialNumber=0
[  231.038796] usb 1-3: Product: Acer Crystal Eye webcam 
[  231.088304] uvcvideo: Found UVC 1.00 device Acer Crystal Eye webcam  (5986:0102)
[  231.249563] input: Acer Crystal Eye webcam  as /devices/pci0000:00/0000:00:02.1/usb1/1-3/1-3:1.0/input/input13
[  231.360073] hub 1-0:1.0: unable to enumerate USB device on port 6
[  231.676055] usb 3-1: new low speed USB device using ohci_hcd and address 2
[  231.888074] usb 3-1: New USB device found, idVendor=093a, idProduct=2510
[  231.888080] usb 3-1: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[  231.888083] usb 3-1: Product: USB OPTICAL MOUSE
[  231.888086] usb 3-1: Manufacturer: PIXART
[  231.901501] input: PIXART USB OPTICAL MOUSE as /devices/pci0000:00/0000:00:02.0/usb3/3-1/3-1:1.0/input/input14
[  231.901716] generic-usb 0003:093A:2510.0002: input,hidraw0: USB HID v1.11 Mouse [PIXART USB OPTICAL MOUSE] on usb-0000:00:02.0-1/input0
[  232.100123] hub 3-0:1.0: unable to enumerate USB device on port 6
[  232.228179] usbcore: registered new interface driver usbserial_generic
[  232.228192] usbserial: USB Serial Driver core
[  232.287673] USB Serial support registered for GSM modem (1-port)
[  232.468049] hub 1-0:1.0: unable to enumerate USB device on port 6
[  232.608135] usbcore: registered new interface driver option
[  232.608141] option: v0.7.2:USB Driver for GSM modems
[  232.808064] hub 3-0:1.0: unable to enumerate USB device on port 6
[  233.048161] hub 1-0:1.0: unable to enumerate USB device on port 6
[  233.260194] hub 3-0:1.0: unable to enumerate USB device on port 6
[  233.500086] hub 1-0:1.0: unable to enumerate USB device on port 6
[  233.712061] hub 3-0:1.0: unable to enumerate USB device on port 6
[  233.952061] hub 1-0:1.0: unable to enumerate USB device on port 6
[  234.164060] hub 3-0:1.0: unable to enumerate USB device on port 6
[  234.404067] hub 1-0:1.0: unable to enumerate USB device on port 6
[  234.616083] hub 3-0:1.0: unable to enumerate USB device on port 6
[  234.856123] hub 1-0:1.0: unable to enumerate USB device on port 6
[  235.068063] hub 3-0:1.0: unable to enumerate USB device on port 6
[  235.308071] hub 1-0:1.0: unable to enumerate USB device on port 6
[  235.520066] hub 3-0:1.0: unable to enumerate USB device on port 6
[  235.760066] hub 1-0:1.0: unable to enumerate USB device on port 6
[  235.972060] hub 3-0:1.0: unable to enumerate USB device on port 6
[  236.212064] hub 1-0:1.0: unable to enumerate USB device on port 6
[  236.424061] hub 3-0:1.0: unable to enumerate USB device on port 6
[  236.528145] ehci_hcd 0000:00:04.1: remove, state 4
[  236.528171] usb usb2: USB disconnect, address 1
[  236.535859] ehci_hcd 0000:00:04.1: USB bus 2 deregistered
[  236.535974] ehci_hcd 0000:00:04.1: PCI INT B disabled
[  236.536053] ehci_hcd 0000:00:02.1: remove, state 1
[  236.536247] usb usb1: USB disconnect, address 1
[  236.552089] hub 1-0:1.0: hub_port_status failed (err = -19)
[  236.552102] hub 1-0:1.0: connect-debounce failed, port 6 disabled
[  236.552155] usb 1-3: USB disconnect, address 3
[  236.592413] ehci_hcd 0000:00:02.1: USB bus 1 deregistered
[  236.592534] ehci_hcd 0000:00:02.1: PCI INT B disabled
[  236.868074] hub 3-0:1.0: unable to enumerate USB device on port 6
[  237.172054] usb 3-3: new full speed USB device using ohci_hcd and address 14
[  237.595095] usb 3-3: New USB device found, idVendor=5986, idProduct=0102
[  237.595109] usb 3-3: New USB device strings: Mfr=0, Product=1, SerialNumber=0
[  237.595118] usb 3-3: Product: Acer Crystal Eye webcam 
[  237.649240] uvcvideo: Found UVC 1.00 device Acer Crystal Eye webcam  (5986:0102)
[  237.820530] input: Acer Crystal Eye webcam  as /devices/pci0000:00/0000:00:02.0/usb3/3-3/3-3:1.0/input/input15
[  238.068095] hub 3-0:1.0: unable to enumerate USB device on port 6
[  238.316069] hub 3-0:1.0: unable to enumerate USB device on port 6
[  238.564063] hub 3-0:1.0: unable to enumerate USB device on port 6
[  238.812066] hub 3-0:1.0: unable to enumerate USB device on port 6
[  239.060068] hub 3-0:1.0: unable to enumerate USB device on port 6
[  239.308068] hub 3-0:1.0: unable to enumerate USB device on port 6
[  239.556061] hub 3-0:1.0: unable to enumerate USB device on port 6
[  239.804344] hub 3-0:1.0: unable to enumerate USB device on port 6
[  240.052108] hub 3-0:1.0: unable to enumerate USB device on port 6
[  240.300088] hub 3-0:1.0: unable to enumerate USB device on port 6
[  240.548067] hub 3-0:1.0: unable to enumerate USB device on port 6
[  240.796097] hub 3-0:1.0: unable to enumerate USB device on port 6
[  241.044074] hub 3-0:1.0: unable to enumerate USB device on port 6
[  241.292070] hub 3-0:1.0: unable to enumerate USB device on port 6
[  241.540091] hub 3-0:1.0: unable to enumerate USB device on port 6
[  241.788065] hub 3-0:1.0: unable to enumerate USB device on port 6
[  242.036082] hub 3-0:1.0: unable to enumerate USB device on port 6
[  242.284069] hub 3-0:1.0: unable to enumerate USB device on port 6
[  242.532089] hub 3-0:1.0: unable to enumerate USB device on port 6
[  242.780071] hub 3-0:1.0: unable to enumerate USB device on port 6
[  243.028483] hub 3-0:1.0: unable to enumerate USB device on port 6
[  243.276076] hub 3-0:1.0: unable to enumerate USB device on port 6
[  243.524079] hub 3-0:1.0: unable to enumerate USB device on port 6
[  243.772120] hub 3-0:1.0: unable to enumerate USB device on port 6
[  244.020066] hub 3-0:1.0: unable to enumerate USB device on port 6
[  244.268090] hub 3-0:1.0: unable to enumerate USB device on port 6
[  244.516068] hub 3-0:1.0: unable to enumerate USB device on port 6
[  244.764066] hub 3-0:1.0: unable to enumerate USB device on port 6
[  245.012110] hub 3-0:1.0: unable to enumerate USB device on port 6
[  245.260085] hub 3-0:1.0: unable to enumerate USB device on port 6
[  245.260238] ohci_hcd 0000:00:04.0: remove, state 4
[  245.260266] usb usb4: USB disconnect, address 1
[  245.277172] ohci_hcd 0000:00:04.0: USB bus 4 deregistered
[  245.277287] ohci_hcd 0000:00:04.0: PCI INT A disabled
[  245.277317] ohci_hcd 0000:00:02.0: remove, state 1
[  245.277338] usb usb3: USB disconnect, address 1
[  245.292090] hub 3-0:1.0: hub_port_status failed (err = -19)
[  245.292105] hub 3-0:1.0: connect-debounce failed, port 6 disabled
[  245.292958] usb 3-1: USB disconnect, address 2
[  245.328829] usb 3-3: USB disconnect, address 14
[  245.392243] ohci_hcd 0000:00:02.0: USB bus 3 deregistered
[  245.392282] ohci_hcd 0000:00:02.0: PCI INT A disabled

** Model information
sys_vendor: Acer            
product_name: Aspire 7520G    
product_version: V1.32
chassis_vendor: Acer
chassis_version: N/A
bios_vendor: Acer
bios_version: V1.32
board_vendor: Acer
board_name: Fuquene
board_version: N/A

** Loaded modules:
Module                  Size  Used by
option                 24802  0 
usb_wwan               17206  1 option
usbserial              31986  2 option,usb_wwan
vboxnetadp             13143  0 
vboxnetflt             24179  0 
snd_hrtimer            12604  1 
cpufreq_conservative    13878  0 
cpufreq_stats          12713  0 
parport_pc             22191  0 
ppdev                  12725  0 
lp                     17190  0 
parport                31650  3 parport_pc,ppdev,lp
autofs4                27310  1 
binfmt_misc            12914  1 
irtty_sir              12925  0 
sir_dev                17407  1 irtty_sir
irda                   93197  1 sir_dev
crc_ccitt              12347  1 irda
uinput                 17392  1 
fuse                   61520  1 
ext2                   62796  1 
isofs                  34960  0 
acer_wmi               17662  0 
sparse_keymap          12760  1 acer_wmi
vboxdrv               171737  2 vboxnetadp,vboxnetflt
usbnet                 17938  0 
mii                    12634  1 usbnet
cpufreq_userspace      12576  0 
cpufreq_powersave      12454  0 
powernow_k8            17321  1 
mperf                  12411  1 powernow_k8
loop                   22515  0 
lrw                    12675  6 
gf128mul               13000  1 lrw
vfat                   17165  0 
fat                    45206  1 vfat
snd_hda_codec_realtek   283856  1 
nvidia              10082726  41 
snd_hda_intel          25946  7 
snd_hda_codec          67647  2 snd_hda_codec_realtek,snd_hda_intel
snd_hwdep              13148  1 snd_hda_codec
snd_pcm_oss            40662  0 
snd_mixer_oss          17905  1 snd_pcm_oss
snd_pcm                67327  5 snd_hda_intel,snd_hda_codec,snd_pcm_oss
arc4                   12458  2 
snd_seq_midi           12848  0 
joydev                 17138  0 
snd_rawmidi            22963  1 snd_seq_midi
ecb                    12737  2 
snd_seq_midi_event     13316  1 snd_seq_midi
ath5k                 128990  0 
ir_lirc_codec          12747  0 
lirc_dev               12925  1 ir_lirc_codec
ir_sony_decoder        12435  0 
snd_seq                44678  3 snd_seq_midi,snd_seq_midi_event
ir_jvc_decoder         12433  0 
uvcvideo               57386  0 
rc_rc6_mce             12396  0 
ir_rc6_decoder         12433  0 
videodev               57418  1 uvcvideo
snd_timer              22658  5 snd_hrtimer,snd_pcm,snd_seq
snd_seq_device         13155  3 snd_seq_midi,snd_rawmidi,snd_seq
snd                    52280  22 snd_hda_codec_realtek,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_rawmidi,snd_seq,snd_timer,snd_seq_device
r852                   17768  0 
sm_common              16450  1 r852
ath                    21261  1 ath5k
ir_rc5_decoder         12433  0 
mac80211              180997  1 ath5k
ene_ir                 17805  0 
ir_nec_decoder         12433  0 
battery                13070  0 
nand                   44212  2 r852,sm_common
rc_core                18165  9 ir_lirc_codec,ir_sony_decoder,ir_jvc_decoder,rc_rc6_mce,ir_rc6_decoder,ir_rc5_decoder,ene_ir,ir_nec_decoder
ac                     12624  0 
v4l2_compat_ioctl32    16575  1 videodev
psmouse                55199  0 
edac_core              35344  0 
power_supply           13475  2 battery,ac
soundcore              13014  1 snd
k8temp                 12531  0 
snd_page_alloc         12969  2 snd_hda_intel,snd_pcm
tpm_tis                13125  0 
nand_ids               12313  1 nand
cfg80211              126017  3 ath5k,ath,mac80211
rfkill                 19014  2 acer_wmi,cfg80211
i2c_nforce2            12584  0 
edac_mce_amd           17103  0 
nand_ecc               12444  1 nand
i2c_core               23725  3 nvidia,videodev,i2c_nforce2
tpm                    17726  1 tpm_tis
mtd                    19278  2 sm_common,nand
tpm_bios               12903  1 tpm
evdev                  17475  24 
processor              27431  1 powernow_k8
wmi                    13202  1 acer_wmi
pcspkr                 12579  0 
button                 12994  0 
video                  17553  0 
serio_raw              12878  0 
ext3                  112218  4 
jbd                    41698  1 ext3
mbcache                12930  2 ext2,ext3
sha256_generic         16797  0 
dm_crypt               22256  3 
dm_mod                 62467  7 dm_crypt
aes_x86_64             16796  6 
aes_generic            37122  1 aes_x86_64
usbhid                 39900  0 
hid                    72616  1 usbhid
sg                     25769  0 
sr_mod                 21824  0 
cdrom                  35134  1 sr_mod
sd_mod                 35501  7 
crc_t10dif             12348  1 sd_mod
ata_generic            12479  0 
ahci                   25089  6 
libahci                22568  1 ahci
pata_amd               13276  0 
libata                147240  4 ata_generic,ahci,libahci,pata_amd
sdhci_pci              13184  0 
firewire_ohci          30887  0 
scsi_mod              161457  4 sg,sr_mod,sd_mod,libata
usbcore               122908  7 option,usb_wwan,usbserial,usbnet,uvcvideo,usbhid
sdhci                  21727  1 sdhci_pci
mmc_core               58589  1 sdhci
thermal                17330  0 
firewire_core          47683  1 firewire_ohci
thermal_sys            17939  3 processor,video,thermal
forcedeth              48684  0 
crc_itu_t              12347  1 firewire_core
nls_base               12753  4 isofs,vfat,fat,usbcore

** PCI devices:
00:00.0 RAM memory [0500]: nVidia Corporation MCP67 Memory Controller [10de:0547] (rev a2)
	Subsystem: Acer Incorporated [ALI] Device [1025:0126]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: <access denied>

00:01.0 ISA bridge [0601]: nVidia Corporation MCP67 ISA Bridge [10de:0548] (rev a2)
	Subsystem: Acer Incorporated [ALI] Device [1025:0126]
	Control: I/O+ Mem+ BusMaster+ SpecCycle+ MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ >SERR- <PERR- INTx-
	Latency: 0
	Region 0: I/O ports at 1d00 [size=256]

00:01.1 SMBus [0c05]: nVidia Corporation MCP67 SMBus [10de:0542] (rev a2)
	Subsystem: Acer Incorporated [ALI] Device [1025:0126]
	Control: I/O+ Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin A routed to IRQ 10
	Region 0: I/O ports at 3080 [size=64]
	Region 4: I/O ports at 3040 [size=64]
	Region 5: I/O ports at 3000 [size=64]
	Capabilities: <access denied>
	Kernel driver in use: nForce2_smbus

00:01.2 RAM memory [0500]: nVidia Corporation MCP67 Memory Controller [10de:0541] (rev a2)
	Subsystem: nVidia Corporation Device [10de:cb84]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-

00:01.3 Co-processor [0b40]: nVidia Corporation MCP67 Co-processor [10de:0543] (rev a2)
	Subsystem: Acer Incorporated [ALI] Device [1025:0126]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0 (750ns min, 250ns max)
	Interrupt: pin B routed to IRQ 11
	Region 0: Memory at d0600000 (32-bit, non-prefetchable) [size=512K]

00:02.0 USB Controller [0c03]: nVidia Corporation MCP67 OHCI USB 1.1 Controller [10de:055e] (rev a2) (prog-if 10 [OHCI])
	Subsystem: Acer Incorporated [ALI] Device [1025:0126]
	Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin A routed to IRQ 23
	Region 0: Memory at d0886000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: <access denied>

00:02.1 USB Controller [0c03]: nVidia Corporation MCP67 EHCI USB 2.0 Controller [10de:055f] (rev a2) (prog-if 20 [EHCI])
	Subsystem: Acer Incorporated [ALI] Device [1025:0126]
	Control: I/O- Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin B routed to IRQ 22
	Region 0: Memory at d0889000 (32-bit, non-prefetchable) [size=256]
	Capabilities: <access denied>

00:04.0 USB Controller [0c03]: nVidia Corporation MCP67 OHCI USB 1.1 Controller [10de:055e] (rev a2) (prog-if 10 [OHCI])
	Subsystem: Acer Incorporated [ALI] Device [1025:0126]
	Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin A routed to IRQ 22
	Region 0: Memory at d0887000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: <access denied>

00:04.1 USB Controller [0c03]: nVidia Corporation MCP67 EHCI USB 2.0 Controller [10de:055f] (rev a2) (prog-if 20 [EHCI])
	Subsystem: Acer Incorporated [ALI] Device [1025:0126]
	Control: I/O- Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin B routed to IRQ 21
	Region 0: Memory at d0889400 (32-bit, non-prefetchable) [size=256]
	Capabilities: <access denied>

00:06.0 IDE interface [0101]: nVidia Corporation MCP67 IDE Controller [10de:0560] (rev a1) (prog-if 8a [Master SecP PriP])
	Subsystem: Acer Incorporated [ALI] Device [1025:0126]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0 (750ns min, 250ns max)
	Region 0: [virtual] Memory at 000001f0 (32-bit, non-prefetchable) [size=8]
	Region 1: [virtual] Memory at 000003f0 (type 3, non-prefetchable) [size=1]
	Region 2: [virtual] Memory at 00000170 (32-bit, non-prefetchable) [size=8]
	Region 3: [virtual] Memory at 00000370 (type 3, non-prefetchable) [size=1]
	Region 4: I/O ports at 30c0 [size=16]
	Capabilities: <access denied>
	Kernel driver in use: pata_amd

00:07.0 Audio device [0403]: nVidia Corporation MCP67 High Definition Audio [10de:055c] (rev a1)
	Subsystem: Acer Incorporated [ALI] Device [1025:0126]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0 (500ns min, 1250ns max)
	Interrupt: pin A routed to IRQ 21
	Region 0: Memory at d0880000 (32-bit, non-prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: HDA Intel

00:08.0 PCI bridge [0604]: nVidia Corporation MCP67 PCI Bridge [10de:0561] (rev a2) (prog-if 01 [Subtractive decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=64
	Memory behind bridge: d0500000-d05fffff
	Secondary status: 66MHz- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr+ DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>

00:09.0 IDE interface [0101]: nVidia Corporation MCP67 AHCI Controller [10de:0550] (rev a2) (prog-if 85 [Master SecO PriO])
	Subsystem: Acer Incorporated [ALI] Device [1025:0126]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0 (750ns min, 250ns max)
	Interrupt: pin A routed to IRQ 20
	Region 0: I/O ports at 30f0 [size=8]
	Region 1: I/O ports at 30e4 [size=4]
	Region 2: I/O ports at 30e8 [size=8]
	Region 3: I/O ports at 30e0 [size=4]
	Region 4: I/O ports at 30d0 [size=16]
	Region 5: Memory at d0884000 (32-bit, non-prefetchable) [size=8K]
	Capabilities: <access denied>
	Kernel driver in use: ahci

00:0a.0 Ethernet controller [0200]: nVidia Corporation MCP67 Ethernet [10de:054c] (rev a2)
	Subsystem: Acer Incorporated [ALI] Device [1025:0126]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0 (250ns min, 5000ns max)
	Interrupt: pin A routed to IRQ 43
	Region 0: Memory at d0888000 (32-bit, non-prefetchable) [size=4K]
	Region 1: I/O ports at 30f8 [size=8]
	Region 2: Memory at d0889c00 (32-bit, non-prefetchable) [size=256]
	Region 3: Memory at d0889800 (32-bit, non-prefetchable) [size=16]
	Capabilities: <access denied>
	Kernel driver in use: forcedeth

00:0b.0 PCI bridge [0604]: nVidia Corporation MCP67 PCI Express Bridge [10de:0562] (rev a2) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=02, subordinate=02, sec-latency=0
	I/O behind bridge: 00004000-00004fff
	Memory behind bridge: d1000000-d3ffffff
	Prefetchable memory behind bridge: 00000000c0000000-00000000cfffffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA+ MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:0c.0 PCI bridge [0604]: nVidia Corporation MCP67 PCI Express Bridge [10de:0563] (rev a2) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=03, subordinate=04, sec-latency=0
	I/O behind bridge: 00005000-00005fff
	Memory behind bridge: d0200000-d03fffff
	Prefetchable memory behind bridge: 00000000d0000000-00000000d01fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:0d.0 PCI bridge [0604]: nVidia Corporation MCP67 PCI Express Bridge [10de:0563] (rev a2) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=05, subordinate=05, sec-latency=0
	Memory behind bridge: d0400000-d04fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:18.0 Host bridge [0600]: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] HyperTransport Technology Configuration [1022:1100]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Capabilities: <access denied>

00:18.1 Host bridge [0600]: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map [1022:1101]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-

00:18.2 Host bridge [0600]: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM Controller [1022:1102]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-

00:18.3 Host bridge [0600]: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Miscellaneous Control [1022:1103]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Capabilities: <access denied>
	Kernel driver in use: k8temp

01:04.0 FireWire (IEEE 1394) [0c00]: Ricoh Co Ltd R5C832 IEEE 1394 Controller [1180:0832] (rev 05) (prog-if 10 [OHCI])
	Subsystem: Acer Incorporated [ALI] Device [1025:0126]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64 (500ns min, 1000ns max), Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 11
	Region 0: Memory at d0500000 (32-bit, non-prefetchable) [size=2K]
	Capabilities: <access denied>
	Kernel driver in use: firewire_ohci

01:04.1 SD Host controller [0805]: Ricoh Co Ltd R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter [1180:0822] (rev 22)
	Subsystem: Acer Incorporated [ALI] Device [1025:0126]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64, Cache Line Size: 64 bytes
	Interrupt: pin B routed to IRQ 11
	Region 0: Memory at d0500800 (32-bit, non-prefetchable) [size=256]
	Capabilities: <access denied>
	Kernel driver in use: sdhci-pci

01:04.2 System peripheral [0880]: Ricoh Co Ltd R5C592 Memory Stick Bus Host Adapter [1180:0592] (rev 12)
	Subsystem: Acer Incorporated [ALI] Device [1025:0126]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64, Cache Line Size: 64 bytes
	Interrupt: pin B routed to IRQ 11
	Region 0: Memory at d0500c00 (32-bit, non-prefetchable) [size=256]
	Capabilities: <access denied>

01:04.3 System peripheral [0880]: Ricoh Co Ltd xD-Picture Card Controller [1180:0852] (rev 12)
	Subsystem: Acer Incorporated [ALI] Device [1025:0126]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64, Cache Line Size: 64 bytes
	Interrupt: pin B routed to IRQ 11
	Region 0: Memory at d0501000 (32-bit, non-prefetchable) [size=256]
	Capabilities: <access denied>
	Kernel driver in use: r852

02:00.0 VGA compatible controller [0300]: nVidia Corporation G86 [GeForce 8600M GS] [10de:0425] (rev a1) (prog-if 00 [VGA controller])
	Subsystem: Acer Incorporated [ALI] Device [1025:0126]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 17
	Region 0: Memory at d1000000 (32-bit, non-prefetchable) [size=16M]
	Region 1: Memory at c0000000 (64-bit, prefetchable) [size=256M]
	Region 3: Memory at d2000000 (64-bit, non-prefetchable) [size=32M]
	Region 5: I/O ports at 4000 [size=128]
	Expansion ROM at <unassigned> [disabled]
	Capabilities: <access denied>
	Kernel driver in use: nvidia

05:00.0 Ethernet controller [0200]: Atheros Communications Inc. AR5001 Wireless Network Adapter [168c:001c] (rev 01)
	Subsystem: AMBIT Microsystem Corp. AR5BXB63 802.11bg NIC [1468:0428]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 19
	Region 0: Memory at d0400000 (64-bit, non-prefetchable) [size=64K]
	Capabilities: <access denied>
	Kernel driver in use: ath5k


** USB devices:
not available


-- System Information:
Debian Release: wheezy/sid
  APT prefers oldstable
  APT policy: (500, 'oldstable'), (500, 'testing'), (500, 'stable')
Architecture: x86_64

Kernel: Linux 2.6.38-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=de_DE@euro, LC_CTYPE=de_DE@euro (charmap=ISO-8859-15)
Shell: /bin/sh linked to /bin/bash

Versions of packages linux-image-2.6.38-2-amd64 is related to:
pn  firmware-bnx2                 <none>     (no description available)
pn  firmware-bnx2x                <none>     (no description available)
pn  firmware-ipw2x00              <none>     (no description available)
pn  firmware-ivtv                 <none>     (no description available)
pn  firmware-iwlwifi              <none>     (no description available)
pn  firmware-linux                <none>     (no description available)
ii  firmware-linux-nonfree        0.29       Binary firmware for various driver
pn  firmware-qlogic               <none>     (no description available)
pn  firmware-ralink               <none>     (no description available)
pn  xen-hypervisor                <none>     (no description available)


Dear kernel-team, 

I get massive messages from the kernel "unable to enumerate USB device on port 6" which is making the pc slower and 
which is filling up my syslog. The problem is caused by the ohci-hcd kernel module. Unloading it, is stopping 
the messages, but then the mouse will not work (of course).

This bug appeared the first time at the change from linux-image-2.6.32-5-amd64-30 --> linux-image-2.6.32-5-amd64-31 (and higher!)
and it appeared only on 64-bit-systems.

This message belongs to bug #620848 and can be merged with it.

It would be nice, if you could take a look at it.

Thank you very much!

Best regards

Hans-J. Ullrich




Removed tag(s) sid and squeeze. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Fri, 15 Apr 2011 04:06:06 GMT) Full text and rfc822 format available.

Bug Marked as found in versions 2.6.38-3. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Fri, 15 Apr 2011 04:06:07 GMT) Full text and rfc822 format available.

Forcibly Merged 620848 622649. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Fri, 15 Apr 2011 04:06:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#622649; Package linux-2.6. (Fri, 15 Apr 2011 04:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 15 Apr 2011 04:15:05 GMT) Full text and rfc822 format available.

Message #16 received at 622649@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: lAlan Stern <stern@rowland.harvard.edu>
Cc: inux-usb@vger.kernel.org, 622649@bugs.debian.org, "Hans-J. Ullrich" <hans.ullrich@loop.de>
Subject: Re: Bug#622649: linux-image-2.6.38-2-amd64: unable to enumerate USB device on port 6
Date: Fri, 15 Apr 2011 05:11:38 +0100
[Message part 1 (text/plain, inline)]
On Wed, 2011-04-13 at 18:32 +0200, Hans-J. Ullrich wrote:
[...]
> I get massive messages from the kernel "unable to enumerate USB device
> on port 6" which is making the pc slower and 
> which is filling up my syslog. The problem is caused by the ohci-hcd
> kernel module. Unloading it, is stopping 
> the messages, but then the mouse will not work (of course).
> 
> This bug appeared the first time at the change from
> linux-image-2.6.32-5-amd64-30 --> linux-image-2.6.32-5-amd64-31 (and
> higher!)
> and it appeared only on 64-bit-systems.
[...]

The only change to ohci-hcd between these versions was:

commit 5f528de0ef9b3e092e276d95930830b847b33dc4
Author: Alan Stern <stern@rowland.harvard.edu>
Date:   Fri Sep 10 16:37:05 2010 -0400

    OHCI: work around for nVidia shutdown problem
    
    commit 3df7169e73fc1d71a39cffeacc969f6840cdf52b upstream.

The reporter's system does indeed have an nVidia MCP67 chipset.  Full
details (kernel log, lspci, etc.) are at <http://bugs.debian.org/620848>
and <http://bugs.debian.org/622649>.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Set Bug forwarded-to-address to 'linux-usb@vger.kernel.org'. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Fri, 15 Apr 2011 04:15:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#622649; Package linux-2.6. (Fri, 15 Apr 2011 04:33:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 15 Apr 2011 04:33:07 GMT) Full text and rfc822 format available.

Message #23 received at 622649@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Alan Stern <stern@rowland.harvard.edu>
Cc: linux-usb@vger.kernel.org, 622649@bugs.debian.org, "Hans-J. Ullrich" <hans.ullrich@loop.de>
Subject: Re: Bug#622649: linux-image-2.6.38-2-amd64: unable to enumerate USB device on port 6
Date: Fri, 15 Apr 2011 05:29:05 +0100
[Message part 1 (text/plain, inline)]
[Re-sending with all addresses correct this time, I hope.]

On Wed, 2011-04-13 at 18:32 +0200, Hans-J. Ullrich wrote:
[...]
> I get massive messages from the kernel "unable to enumerate USB device
> on port 6" which is making the pc slower and 
> which is filling up my syslog. The problem is caused by the ohci-hcd
> kernel module. Unloading it, is stopping 
> the messages, but then the mouse will not work (of course).
> 
> This bug appeared the first time at the change from
> linux-image-2.6.32-5-amd64-30 --> linux-image-2.6.32-5-amd64-31 (and
> higher!)
> and it appeared only on 64-bit-systems.
[...]

The only change to ohci-hcd between these versions was:

commit 5f528de0ef9b3e092e276d95930830b847b33dc4
Author: Alan Stern <stern@rowland.harvard.edu>
Date:   Fri Sep 10 16:37:05 2010 -0400

    OHCI: work around for nVidia shutdown problem
    
    commit 3df7169e73fc1d71a39cffeacc969f6840cdf52b upstream.

The reporter's system does indeed have an nVidia MCP67 chipset.  Full
details (kernel log, lspci, etc.) are at <http://bugs.debian.org/620848>
and <http://bugs.debian.org/622649>.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#622649; Package linux-2.6. (Fri, 15 Apr 2011 15:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alan Stern <stern@rowland.harvard.edu>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 15 Apr 2011 15:12:05 GMT) Full text and rfc822 format available.

Message #28 received at 622649@bugs.debian.org (full text, mbox):

From: Alan Stern <stern@rowland.harvard.edu>
To: "Hans-J. Ullrich" <hans.ullrich@loop.de>, Ben Hutchings <ben@decadent.org.uk>
Cc: USB list <linux-usb@vger.kernel.org>, <622649@bugs.debian.org>
Subject: Re: Bug#622649: linux-image-2.6.38-2-amd64: unable to enumerate USB device on port 6
Date: Fri, 15 Apr 2011 11:02:52 -0400 (EDT)
On Fri, 15 Apr 2011, Ben Hutchings wrote:

> On Wed, 2011-04-13 at 18:32 +0200, Hans-J. Ullrich wrote:
> [...]
> > I get massive messages from the kernel "unable to enumerate USB device
> > on port 6" which is making the pc slower and 
> > which is filling up my syslog. The problem is caused by the ohci-hcd
> > kernel module. Unloading it, is stopping 
> > the messages, but then the mouse will not work (of course).
> > 
> > This bug appeared the first time at the change from
> > linux-image-2.6.32-5-amd64-30 --> linux-image-2.6.32-5-amd64-31 (and
> > higher!)
> > and it appeared only on 64-bit-systems.
> [...]
> 
> The only change to ohci-hcd between these versions was:
> 
> commit 5f528de0ef9b3e092e276d95930830b847b33dc4
> Author: Alan Stern <stern@rowland.harvard.edu>
> Date:   Fri Sep 10 16:37:05 2010 -0400
> 
>     OHCI: work around for nVidia shutdown problem
>     
>     commit 3df7169e73fc1d71a39cffeacc969f6840cdf52b upstream.
> 
> The reporter's system does indeed have an nVidia MCP67 chipset.  Full
> details (kernel log, lspci, etc.) are at <http://bugs.debian.org/620848>
> and <http://bugs.debian.org/622649>.

Hans, can you test whether the patch below fixes your problem?

Alan Stern



Index: usb-2.6/drivers/usb/host/ohci-pci.c
===================================================================
--- usb-2.6.orig/drivers/usb/host/ohci-pci.c
+++ usb-2.6/drivers/usb/host/ohci-pci.c
@@ -207,10 +207,18 @@ static int ohci_quirk_amd700(struct usb_
  */
 static int ohci_quirk_nvidia_shutdown(struct usb_hcd *hcd)
 {
+	struct pci_dev *pdev = to_pci_dev(hcd->self.controller);
 	struct ohci_hcd	*ohci = hcd_to_ohci(hcd);
 
-	ohci->flags |= OHCI_QUIRK_SHUTDOWN;
-	ohci_dbg(ohci, "enabled nVidia shutdown quirk\n");
+	/* Evidently nVidia fixed their later hardware; this is a guess at
+	 * the changeover point.
+	 */
+#define PCI_DEVICE_ID_NVIDIA_NFORCE_MCP51_USB		0x026d
+
+	if (pdev->device < PCI_DEVICE_ID_NVIDIA_NFORCE_MCP51_USB) {
+		ohci->flags |= OHCI_QUIRK_SHUTDOWN;
+		ohci_dbg(ohci, "enabled nVidia shutdown quirk\n");
+	}
 
 	return 0;
 }





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#622649; Package linux-2.6. (Fri, 15 Apr 2011 20:18:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Hans-J. Ullrich" <hans.ullrich@loop.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 15 Apr 2011 20:18:06 GMT) Full text and rfc822 format available.

Message #33 received at 622649@bugs.debian.org (full text, mbox):

From: "Hans-J. Ullrich" <hans.ullrich@loop.de>
To: Alan Stern <stern@rowland.harvard.edu>
Cc: Ben Hutchings <ben@decadent.org.uk>, USB list <linux-usb@vger.kernel.org>, 622649@bugs.debian.org
Subject: Re: Bug#622649: linux-image-2.6.38-2-amd64: unable to enumerate USB device on port 6
Date: Fri, 15 Apr 2011 21:56:48 +0200
[Message part 1 (text/plain, inline)]
Am Freitag, 15. April 2011 schrieb Alan Stern:
> On Fri, 15 Apr 2011, Ben Hutchings wrote:
> > On Wed, 2011-04-13 at 18:32 +0200, Hans-J. Ullrich wrote:
> > [...]
> > 
> > > I get massive messages from the kernel "unable to enumerate USB device
> > > on port 6" which is making the pc slower and
> > > which is filling up my syslog. The problem is caused by the ohci-hcd
> > > kernel module. Unloading it, is stopping
> > > the messages, but then the mouse will not work (of course).
> > > 
> > > This bug appeared the first time at the change from
> > > linux-image-2.6.32-5-amd64-30 --> linux-image-2.6.32-5-amd64-31 (and
> > > higher!)
> > > and it appeared only on 64-bit-systems.
> > 
> > [...]
> > 
> > The only change to ohci-hcd between these versions was:
> > 
> > commit 5f528de0ef9b3e092e276d95930830b847b33dc4
> > Author: Alan Stern <stern@rowland.harvard.edu>
> > Date:   Fri Sep 10 16:37:05 2010 -0400
> > 
> >     OHCI: work around for nVidia shutdown problem
> >     
> >     commit 3df7169e73fc1d71a39cffeacc969f6840cdf52b upstream.
> > 
> > The reporter's system does indeed have an nVidia MCP67 chipset.  Full
> > details (kernel log, lspci, etc.) are at <http://bugs.debian.org/620848>
> > and <http://bugs.debian.org/622649>.
> 
> Hans, can you test whether the patch below fixes your problem?
> 
> Alan Stern
> 
> 
> 
> Index: usb-2.6/drivers/usb/host/ohci-pci.c
> ===================================================================
> --- usb-2.6.orig/drivers/usb/host/ohci-pci.c
> +++ usb-2.6/drivers/usb/host/ohci-pci.c
> @@ -207,10 +207,18 @@ static int ohci_quirk_amd700(struct usb_
>   */
>  static int ohci_quirk_nvidia_shutdown(struct usb_hcd *hcd)
>  {
> +	struct pci_dev *pdev = to_pci_dev(hcd->self.controller);
>  	struct ohci_hcd	*ohci = hcd_to_ohci(hcd);
> 
> -	ohci->flags |= OHCI_QUIRK_SHUTDOWN;
> -	ohci_dbg(ohci, "enabled nVidia shutdown quirk\n");
> +	/* Evidently nVidia fixed their later hardware; this is a guess at
> +	 * the changeover point.
> +	 */
> +#define PCI_DEVICE_ID_NVIDIA_NFORCE_MCP51_USB		0x026d
> +
> +	if (pdev->device < PCI_DEVICE_ID_NVIDIA_NFORCE_MCP51_USB) {
> +		ohci->flags |= OHCI_QUIRK_SHUTDOWN;
> +		ohci_dbg(ohci, "enabled nVidia shutdown quirk\n");
> +	}
> 
>  	return 0;
>  }
Hello Alan, 

it lasted a little bit, as I am not very experienced with patching of source-
code. However, I did as you suggested, and hope I did everything correct. 

I compiled the source again and it worked. Please take e look at the source 
code. I send it below.

If I did it correct, I suggest, to patch all versions of the linux kernel 
since version 2.6.32-5-amd64-30 and higher.

Maybe a new and patched kernel version should be uploaded to the repository as 
soon as possible, what do you think?

Thank you very much for your help!!!

Cheers 

Hans





[ohci-pci.c (text/x-csrc, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#622649; Package linux-2.6. (Fri, 15 Apr 2011 20:33:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Hans-J. Ullrich" <hans.ullrich@loop.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 15 Apr 2011 20:33:08 GMT) Full text and rfc822 format available.

Message #38 received at 622649@bugs.debian.org (full text, mbox):

From: "Hans-J. Ullrich" <hans.ullrich@loop.de>
To: Alan Stern <stern@rowland.harvard.edu>
Cc: Ben Hutchings <ben@decadent.org.uk>, USB list <linux-usb@vger.kernel.org>, 622649@bugs.debian.org
Subject: Re: Bug#622649: linux-image-2.6.38-2-amd64: unable to enumerate USB device on port 6
Date: Fri, 15 Apr 2011 22:32:17 +0200
Hi Alan, 

I was happy too early, sorry for that. It seems, the compiled module can not 
be loaded somehow.  Maybe it is my fault and I made a mistake at editing or 
compiling.

As I told, I am not experienced with patches of source code.

However, I will be pleased, if I can help with testing. If there is a kernel-
package available, I will be pleased, to install it and send the results.

Sorry for my prior message, which I sent too early!

Best regards

Hans






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#622649; Package linux-2.6. (Fri, 15 Apr 2011 21:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alan Stern <stern@rowland.harvard.edu>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 15 Apr 2011 21:03:03 GMT) Full text and rfc822 format available.

Message #43 received at 622649@bugs.debian.org (full text, mbox):

From: Alan Stern <stern@rowland.harvard.edu>
To: "Hans-J. Ullrich" <hans.ullrich@loop.de>
Cc: Ben Hutchings <ben@decadent.org.uk>, USB list <linux-usb@vger.kernel.org>, <622649@bugs.debian.org>
Subject: Re: Bug#622649: linux-image-2.6.38-2-amd64: unable to enumerate USB device on port 6
Date: Fri, 15 Apr 2011 17:00:11 -0400 (EDT)
On Fri, 15 Apr 2011, Hans-J. Ullrich wrote:

> Hi Alan, 
> 
> I was happy too early, sorry for that. It seems, the compiled module can not 
> be loaded somehow.  Maybe it is my fault and I made a mistake at editing or 
> compiling.
> 
> As I told, I am not experienced with patches of source code.
> 
> However, I will be pleased, if I can help with testing. If there is a kernel-
> package available, I will be pleased, to install it and send the results.

Can you ask somebody more familiar with Debian to build a patched 
kernel for you?

Alan Stern





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#622649; Package linux-2.6. (Fri, 15 Apr 2011 22:03:47 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 15 Apr 2011 22:03:47 GMT) Full text and rfc822 format available.

Message #48 received at 622649@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Alan Stern <stern@rowland.harvard.edu>, 622649@bugs.debian.org
Cc: "Hans-J. Ullrich" <hans.ullrich@loop.de>, USB list <linux-usb@vger.kernel.org>
Subject: Re: Bug#622649: linux-image-2.6.38-2-amd64: unable to enumerate USB device on port 6
Date: Fri, 15 Apr 2011 22:52:04 +0100
On Fri, Apr 15, 2011 at 05:00:11PM -0400, Alan Stern wrote:
> On Fri, 15 Apr 2011, Hans-J. Ullrich wrote:
> 
> > Hi Alan, 
> > 
> > I was happy too early, sorry for that. It seems, the compiled module can not 
> > be loaded somehow.  Maybe it is my fault and I made a mistake at editing or 
> > compiling.
> > 
> > As I told, I am not experienced with patches of source code.
> > 
> > However, I will be pleased, if I can help with testing. If there is a kernel-
> > package available, I will be pleased, to install it and send the results.
> 
> Can you ask somebody more familiar with Debian to build a patched 
> kernel for you?
 
I'll handle this, Alan.

Ben.

-- 
Ben Hutchings
We get into the habit of living before acquiring the habit of thinking.
                                                              - Albert Camus




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#622649; Package linux-2.6. (Fri, 15 Apr 2011 22:03:49 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Hans-J. Ullrich" <hans.ullrich@loop.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 15 Apr 2011 22:03:49 GMT) Full text and rfc822 format available.

Message #53 received at 622649@bugs.debian.org (full text, mbox):

From: "Hans-J. Ullrich" <hans.ullrich@loop.de>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: Alan Stern <stern@rowland.harvard.edu>, 622649@bugs.debian.org, USB list <linux-usb@vger.kernel.org>
Subject: Re: Bug#622649: linux-image-2.6.38-2-amd64: unable to enumerate USB device on port 6
Date: Fri, 15 Apr 2011 23:53:54 +0200
> 
> I'll handle this, Alan.
> 
> Ben.

Thank you very much, Ben!

Hans




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#622649; Package linux-2.6. (Sat, 16 Apr 2011 12:26:00 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Hans-J. Ullrich" <hans.ullrich@loop.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 16 Apr 2011 12:26:37 GMT) Full text and rfc822 format available.

Message #58 received at 622649@bugs.debian.org (full text, mbox):

From: "Hans-J. Ullrich" <hans.ullrich@loop.de>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: Alan Stern <stern@rowland.harvard.edu>, 622649@bugs.debian.org, USB list <linux-usb@vger.kernel.org>
Subject: Re: Bug#622649: linux-image-2.6.38-2-amd64: unable to enumerate USB device on port 6
Date: Sat, 16 Apr 2011 14:19:50 +0200
Am Freitag, 15. April 2011 schrieb Hans-J. Ullrich:
> > I'll handle this, Alan.
> > 
> > Ben.
> 
> Thank you very much, Ben!
> 
> Hans
Hi Ben, Alan and Jonathan,

I was not lazy and again tried to rebuild the module(s) with the patched 
source-code, but did not succeed. I downloaded the kernel-sources, unpacked 
them to /usr/src and then linked the sources to /usr/src/linux.

Copying /boot/config-2.6.38-2-amd64 to /usr/src/inux/.config.
Then started make menuconfig and added in version option "-2-amd64", to make 
sure I have the same version than the running kernel.

After this I started "make modules" below /usr/src/linux, to build just the 
modules. After building them, I copied "ohci-hcd.ko" and "ehci-hcd.ko" to 
/lib/modules/2.6.38-2-amd64/drivers/usb/host and overwrote the existing *-
hcd.ko modules.

With "depmod -a" I finished.

But I can still not load those kernel modules. I also remarked, the new ones 
are much bigger (old ones are about 60kB, the new ones about 700kB).

I also tried "make-kpkg --append-to-version=-2-amd64 modules_image" but the 
process stops at the point, where it wants to clean up ( /usr/bin/make clean 
is the last line I see).

What did I do wrong? In the past, I already build some kernels, but the last 
one was a long time ago (I think, it was 2.6.20 something) and did it by using 
make-kpkg.

However, when the patched kernel-package is uploaded, Or if you will send me a 
download-link to a package, I will be very pleased to test it!

Thank you very much for your help.

Cheers


Hans 




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#622649; Package linux-2.6. (Sat, 16 Apr 2011 15:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 16 Apr 2011 15:54:03 GMT) Full text and rfc822 format available.

Message #63 received at 622649@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: "Hans-J. Ullrich" <hans.ullrich@loop.de>
Cc: 622649@bugs.debian.org
Subject: Re: linux-image-2.6.38-2-amd64: unable to enumerate USB device on port 6
Date: Sat, 16 Apr 2011 10:52:04 -0500
(-cc: various people)
Hi,

Hans-J. Ullrich wrote:

> Then started make menuconfig and added in version option "-2-amd64", to make
> sure I have the same version than the running kernel.

Debian kernels have CONFIG_MODVERSIONS=y set:

	Usually, you have to use modules compiled with your kernel.
	Saying Y here makes it sometimes possible to use modules
	compiled for different kernels, by adding enough information
	to the modules to (hopefully) spot any changes which would
	make them incompatible with the kernel you are running.

> After this I started "make modules" below /usr/src/linux, to build just the 
> modules. After building them, I copied "ohci-hcd.ko" and "ehci-hcd.ko" to 
> /lib/modules/2.6.38-2-amd64/drivers/usb/host and overwrote the existing *-
> hcd.ko modules.
>
> With "depmod -a" I finished.

These gymnastics should not be necessary.  Did "insmod <filename>" work?
If not, what output did it write?  ("Invalid module format", I guess?)

It is possible the kernel version you are building has a different ABI
than the version you are running.  It tends to be easiest to test
entire kernels still.  Did you try "make deb-pkg"?

> What did I do wrong? In the past, I already build some kernels, but the last 
> one was a long time ago (I think, it was 2.6.20 something) and did it by using 
> make-kpkg.

I haven't kept up with the latest make-kpkg developments.  The upstream
makefile rules to build a Debian package are much simpler and have worked
reliably for me for what it's worth.

Hope that helps,
Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#622649; Package linux-2.6. (Sat, 16 Apr 2011 16:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Hans-J. Ullrich" <hans.ullrich@loop.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 16 Apr 2011 16:21:06 GMT) Full text and rfc822 format available.

Message #68 received at 622649@bugs.debian.org (full text, mbox):

From: "Hans-J. Ullrich" <hans.ullrich@loop.de>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 622649@bugs.debian.org
Subject: Re: linux-image-2.6.38-2-amd64: unable to enumerate USB device on port 6
Date: Sat, 16 Apr 2011 18:18:58 +0200
Hi Jonathan,


> Debian kernels have CONFIG_MODVERSIONS=y set:
yes, this is set!

> entire kernels still.  Did you try "make deb-pkg"?
No, I dis not.


I tried "modprobe ohci-hcd", but got no output. 
Well, for now, I gave up. As Ben wanted to handle the patch, I suppose, there 
will be a new kernel-version during the next days. Then I will test it and 
this way, other people can test it, too.

In the German-user-list people wrote of the same problem and so there are more 
testers than only me.

I will report as soon as possible.

Best regards

Hans

> Jonathan





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#622649; Package linux-2.6. (Sun, 17 Apr 2011 02:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 17 Apr 2011 02:15:03 GMT) Full text and rfc822 format available.

Message #73 received at 622649@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: "Hans-J. Ullrich" <hans.ullrich@loop.de>
Cc: 622649@bugs.debian.org
Subject: Re: linux-image-2.6.38-2-amd64: unable to enumerate USB device on port 6
Date: Sat, 16 Apr 2011 21:11:30 -0500
Hi again,

Hans-J. Ullrich wrote:

> However, when the patched kernel-package is uploaded, Or if you will send me a 
> download-link to a package, I will be very pleased to test it!

I've put up a package at

 http://alioth.debian.org/~jrnieder-guest/linux-image-2.6.38_2.6.38-1_amd64.deb

Please don't mind the version number.  It is from Debian's 2.6.38-3
source package with the patch from this thread applied.

Thanks and hope that helps,
Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#622649; Package linux-2.6. (Sun, 17 Apr 2011 10:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Hans-J. Ullrich" <hans.ullrich@loop.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 17 Apr 2011 10:12:07 GMT) Full text and rfc822 format available.

Message #78 received at 622649@bugs.debian.org (full text, mbox):

From: "Hans-J. Ullrich" <hans.ullrich@loop.de>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 622649@bugs.debian.org
Subject: Re: linux-image-2.6.38-2-amd64: unable to enumerate USB device on port 6
Date: Sun, 17 Apr 2011 12:09:09 +0200
Hi Jonathan,

thank you for building the kernel with the patch. I just tested it, but sadly 
I got the same problem again. So I think, Alan's patch does not generate the 
wished result.

To make sure, to get rid of old modules, i completely deinstalled all 2.6.38-
packages (image and header-files), but had no success.

Sorry for that! The bug is still existent.

However, your work helped me a lot, to test it fast.

Thanks!

Hans




Changed Bug forwarded-to-address to 'http://thread.gmane.org/gmane.linux.usb.general/45476' from 'linux-usb@vger.kernel.org' Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 16 May 2011 00:33:06 GMT) Full text and rfc822 format available.

Bug Marked as found in versions linux-2.6/2.6.39~rc7-1~experimental.1. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 16 May 2011 20:15:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#622649; Package linux-2.6. (Sun, 22 May 2011 21:13:41 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Hans-J. Ullrich" <hans.ullrich@loop.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 22 May 2011 21:15:15 GMT) Full text and rfc822 format available.

Message #87 received at 622649@bugs.debian.org (full text, mbox):

From: "Hans-J. Ullrich" <hans.ullrich@loop.de>
To: 622649@bugs.debian.org
Subject: linux-image-2.6.38-2-amd64: unable to enumerate USB device on port 6
Date: Sun, 22 May 2011 23:07:20 +0200
Dear maintainers,

this bug is also and still in 2.6.39-rc7-amd64 from debian/experimental.
Jonathan's patch did not work. Maybe we should revert to the ohci-hcd module 
from the last working kernel? I checked some livefile systems, with newer 
kernels - they got the same result (for example BackTrack5).

I suggest, to merge this bugreport and #620848.

With this bug, these kernels are still not usable for me (and I suppose, there 
might be other people with the same problem, too)


Please don't feel annoied by me, I just wanted to mention, there is IMO a big 
problem. Thank you for your considerateness.

Best regards

Hans




Added tag(s) upstream. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Wed, 06 Jul 2011 19:51:07 GMT) Full text and rfc822 format available.

Bug Marked as found in versions linux-2.6/2.6.39-2. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Wed, 06 Jul 2011 19:51:09 GMT) Full text and rfc822 format available.

Bug Marked as found in versions linux-2.6/3.0.0~rc6-1~experimental.1. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Wed, 06 Jul 2011 19:51:10 GMT) Full text and rfc822 format available.

Changed Bug forwarded-to-address to 'https://bugzilla.kernel.org/show_bug.cgi?id=22052' from 'http://thread.gmane.org/gmane.linux.usb.general/45476' Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Wed, 06 Jul 2011 19:51:12 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Fri, 05 Aug 2011 15:39:10 GMT) Full text and rfc822 format available.

Merged 620848 622649 635573. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Fri, 05 Aug 2011 15:45:15 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Tue, 09 Aug 2011 15:36:07 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sat, 27 Aug 2011 04:21:04 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 29 Oct 2011 07:36:59 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 03:37:31 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.